Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde-testing] and [kde-crazy] KDE4 overlays thread (part 3)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 38, 39, 40  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Biert
n00b
n00b


Joined: 14 Sep 2006
Posts: 45
Location: The Netherlands

PostPosted: Thu Jun 18, 2009 10:41 am    Post subject: Reply with quote

Dancingfire wrote:
BTW, what's the aqua use flag stand for?
and why it is masked/can't be set?

Code:
euse -I aqua
global use flags (searching: aqua)
************************************************************
[-    ] aqua - Include support for the Aqua / Carbon GUI   

For what I know, Aqua and Carbon are gui's for MacOS X, so for Mac only probably.
_________________
http://www.last.fm/user/Biert/
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 5678
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sat Jun 20, 2009 3:20 pm    Post subject: Reply with quote

problems:

kde-base/oxygen-icons (9999)

is blocking
Quote:
<kde-base/kdebase-data-4.2.67[-kdeprefix]
that line needs to be removed,

this also applies to kde-base/keditfiletype-9999
Quote:
[blocks B ] <=kde-base/konqueror-4.2.67[-kdeprefix] ("<=kde-base/konqueror-4.2.67[-kdeprefix]" is blocking kde-base/keditfiletype-9999)



anyone thought of those people still wanting to use kde 3.5 without a need for kdeprefix ? or certain apps atm still suck kompared to kde 3.5 ? (e.g. okular right now printing random crap with wrong border or somehow mixing up landscape with portrait) :wink:

typo:
Quote:
emerge: there are no ebuilds to satisfy "x11-libs/qscintella[qt4]".
(dependency required by "kde-base/smoke-9999" [ebuild])
(dependency required by "@kdebindings-live" [argument])


it's not qscentella but qscintilla

the latter is also affects kde-base/kdebindings-csharp-9999



thanks for your continued efforts
_________________
Unofficial minimal livecd x86/amd64 w/reiser4+truecrypt (by Neo2)
2.6.37.2_plus_v1: BFS, CFS,THP,compaction, zcache or TOI
Hardcore Linux user since 2004 :D
Back to top
View user's profile Send private message
rahulthewall
Veteran
Veteran


Joined: 01 Nov 2007
Posts: 1264
Location: Zürich

PostPosted: Sun Jun 21, 2009 1:10 pm    Post subject: Reply with quote

Where did Air go? Or more specifically, to which package does it now belong. I know it has been added to svn and thus is no longer in the package plasma-playground-themes.

Now, do I have to wait till 4.2.92 or something similar for this or can we please have a revbump for kde-base/kdebase-desktoptheme which pulls in air as well? That would be awesome, Air is just perfect for 4.3!
_________________
Who shall guard the guards?
Back to top
View user's profile Send private message
Dancingfire
n00b
n00b


Joined: 01 Jan 2007
Posts: 37

PostPosted: Sun Jun 21, 2009 2:49 pm    Post subject: Reply with quote

rahulthewall wrote:
Where did Air go? Or more specifically, to which package does it now belong. I know it has been added to svn and thus is no longer in the package plasma-playground-themes.

Now, do I have to wait till 4.2.92 or something similar for this or can we please have a revbump for kde-base/kdebase-desktoptheme which pulls in air as well? That would be awesome, Air is just perfect for 4.3!


air dissapeared for me once, but recompiling playground-plasma-themes got it back.
Back to top
View user's profile Send private message
rahulthewall
Veteran
Veteran


Joined: 01 Nov 2007
Posts: 1264
Location: Zürich

PostPosted: Sun Jun 21, 2009 5:42 pm    Post subject: Reply with quote

Dancingfire wrote:
rahulthewall wrote:
Where did Air go? Or more specifically, to which package does it now belong. I know it has been added to svn and thus is no longer in the package plasma-playground-themes.

Now, do I have to wait till 4.2.92 or something similar for this or can we please have a revbump for kde-base/kdebase-desktoptheme which pulls in air as well? That would be awesome, Air is just perfect for 4.3!


air dissapeared for me once, but recompiling playground-plasma-themes got it back.


Just emerged it again, Air did not come back!
_________________
Who shall guard the guards?
Back to top
View user's profile Send private message
Elv13
Guru
Guru


Joined: 13 Nov 2005
Posts: 382
Location: Socialist land of North America

PostPosted: Mon Jun 22, 2009 5:22 am    Post subject: Reply with quote

Air is part now part of kdebase (since 3 day)
Back to top
View user's profile Send private message
tranquilcool
Veteran
Veteran


Joined: 25 Mar 2005
Posts: 1044

PostPosted: Mon Jun 22, 2009 5:39 am    Post subject: Reply with quote

why remove kdeprefix from latest kde-live?
_________________
this is a strange strange world.
Back to top
View user's profile Send private message
Hum
Tux's lil' helper
Tux's lil' helper


Joined: 13 Oct 2005
Posts: 116
Location: Canada

PostPosted: Mon Jun 22, 2009 5:49 am    Post subject: Reply with quote

plasma-workspace-4.2.91 failed to build because of missing libknotificationitem-4.2.91
Back to top
View user's profile Send private message
rahulthewall
Veteran
Veteran


Joined: 01 Nov 2007
Posts: 1264
Location: Zürich

PostPosted: Mon Jun 22, 2009 8:21 am    Post subject: Reply with quote

Elv13 wrote:
Air is part now part of kdebase (since 3 day)


In svn yes, but I was talking about 4.2.91 - it is not there. So probably will be in the next snapshot. I wanted to know if it was possible to have a revbump with air pulled in.
_________________
Who shall guard the guards?
Back to top
View user's profile Send private message
paladin-zero
Guru
Guru


Joined: 19 May 2004
Posts: 322

PostPosted: Tue Jun 23, 2009 2:56 pm    Post subject: Reply with quote

I had been using kde-4.2 from portage, with the kdeprefix unset. I uninstalled all of kde, enabled kde-testing, and emerged @kde-4.3, which installed kde-4.3 with -kdeprefix. This morning I updated my overlays and I see lots of blockage (sorry for the long post):

Code:
$ sudo emerge -uDNvp @system @world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] kde-base/oxygen-icons-9999  USE="(-kdeprefix*) (-aqua%)" 0 kB [1]
[ebuild   R   ] dev-cpp/eigen-9999  USE="doc%* -debug -demos%" 0 kB [1]         
[ebuild   R   ] kde-base/kdelibs-9999  USE="3dnow acl alsa bzip2 doc fam handbook jpeg2k mmx opengl semantic-desktop spell sse sse2 ssl zeroconf (-altivec) (-aqua) -bindist -debug (-kdeprefix*) -kerberos -nls -openexr -test" 0 kB [1]                                             
[ebuild   R   ] kde-base/kde-env-9999  USE="(-aqua) (-kdeprefix*)" 0 kB [1]                 
[ebuild   R   ] kde-base/libknotificationitem-9999  USE="(-aqua) -debug (-kdeprefix*)" 0 kB [1]                                                                                           
[ebuild   R   ] kde-base/kdebase-data-9999  USE="(-aqua) (-kdeprefix*)" 0 kB [1]             
[ebuild  NS   ] kde-base/kdepimlibs-9999 [4.2.91] USE="handbook ldap (-aqua) -debug (-kdeprefix) -test" 0 kB [1]                                                                         
[ebuild   R   ] kde-base/kwalletd-9999  USE="(-aqua) -debug (-kdeprefix*)" 0 kB [1]         
[ebuild   R   ] kde-base/pykde4-9999  USE="examples -akonadi (-aqua) -debug (-kdeprefix*) -semantic-desktop" 0 kB [1]                                                                     
[ebuild   R   ] kde-base/krosspython-9999  USE="(-aqua) -debug (-kdeprefix*)" 0 kB [1]       
[ebuild  NS   ] kde-base/libkdepim-9999 [4.2.91] USE="(-aqua) -debug (-kdeprefix)" 0 kB [1] 
[ebuild  NS   ] kde-base/libkleo-9999 [4.2.91] USE="(-aqua) -debug (-kdeprefix)" 0 kB [1]   
[ebuild  NS   ] kde-base/akonadi-9999 [4.2.91] USE="semantic-desktop (-aqua) -debug (-kdeprefix)" 0 kB [1]                                                                               
[ebuild  NS   ] kde-base/kontactinterfaces-9999 [4.2.91] USE="(-aqua) -debug (-kdeprefix)" 0 kB [1]                                                                                       
[ebuild  NS   ] kde-base/kaddressbook-9999 [4.2.91] USE="handbook kontact (-aqua) -debug -gnokii (-kdeprefix)" 0 kB [1]                                                                   
[ebuild  NS   ] kde-base/kdepim-kresources-9999 [4.2.91] USE="(-aqua) -debug (-kdeprefix)" 0 kB [1]                                                                                       
[blocks B     ] kde-base/kaddressbook:4.3[-kdeprefix] ("kde-base/kaddressbook:4.3[-kdeprefix]" is blocking kde-base/kaddressbook-9999)                                                   
[blocks B     ] kde-base/kwalletd:4.3[-kdeprefix] ("kde-base/kwalletd:4.3[-kdeprefix]" is blocking kde-base/kwalletd-9999)                                                               
[blocks B     ] kde-base/kdepimlibs:4.3[-kdeprefix] ("kde-base/kdepimlibs:4.3[-kdeprefix]" is blocking kde-base/kdepimlibs-9999)                                                         
[blocks B     ] kde-base/libknotificationitem:4.3[-kdeprefix] ("kde-base/libknotificationitem:4.3[-kdeprefix]" is blocking kde-base/libknotificationitem-9999)                           
[blocks B     ] kde-base/pykde4:4.3[-kdeprefix] ("kde-base/pykde4:4.3[-kdeprefix]" is blocking kde-base/pykde4-9999)                                                                     
[blocks B     ] kde-base/akonadi:4.3[-kdeprefix] ("kde-base/akonadi:4.3[-kdeprefix]" is blocking kde-base/akonadi-9999)                                                                   
[blocks B     ] kde-base/libkdepim:4.3[-kdeprefix] ("kde-base/libkdepim:4.3[-kdeprefix]" is blocking kde-base/libkdepim-9999)                                                             
[blocks B     ] kde-base/kdepim-kresources:4.3[-kdeprefix] ("kde-base/kdepim-kresources:4.3[-kdeprefix]" is blocking kde-base/kdepim-kresources-9999)                                     
[blocks B     ] kde-base/kontactinterfaces:4.3[-kdeprefix] ("kde-base/kontactinterfaces:4.3[-kdeprefix]" is blocking kde-base/kontactinterfaces-9999)                                     
[blocks B     ] kde-base/kdelibs:4.3[-kdeprefix] ("kde-base/kdelibs:4.3[-kdeprefix]" is blocking kde-base/kdelibs-9999)                                                                   
[blocks B     ] kde-base/kde-env:4.3[-kdeprefix] ("kde-base/kde-env:4.3[-kdeprefix]" is blocking kde-base/kde-env-9999)                                                                   
[blocks B     ] kde-base/oxygen-icons:4.3[-kdeprefix] ("kde-base/oxygen-icons:4.3[-kdeprefix]" is blocking kde-base/oxygen-icons-9999)                                                   
[blocks B     ] kde-base/kdebase-data:4.3[-kdeprefix] ("kde-base/kdebase-data:4.3[-kdeprefix]" is blocking kde-base/kdebase-data-9999)                                                   
[blocks B     ] kde-base/libkleo:4.3[-kdeprefix] ("kde-base/libkleo:4.3[-kdeprefix]" is blocking kde-base/libkleo-9999)                                                                   

Total: 16 packages (7 in new slots, 9 reinstalls), Size of downloads: 0 kB
Conflict: 14 blocks (14 unsatisfied)                                     
Portage tree and overlays:                                               
 [0] /usr/portage                                                         
 [1] /usr/local/portage/layman/kde-testing                               

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.                 

  ('installed', '/', 'kde-base/libkdepim-4.2.91', 'nomerge') pulled in by
    >=kde-base/libkdepim-4.2.91:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/kjots-4.2.91', 'nomerge')                                                                       
    >=kde-base/libkdepim-4.2.91:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/kleopatra-4.2.91', 'nomerge')                                                                   
    >=kde-base/libkdepim-4.2.91:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/kontact-specialdates-4.2.91', 'nomerge')                                                         
    (and 14 more)                                                                           

  ('installed', '/', 'kde-base/kdepim-kresources-4.2.91', 'nomerge') pulled in by
    kde-base/kdepim-kresources:4.3 required by @world                           
    >=kde-base/kdepim-kresources-4.2.91:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/kdepim-wizards-4.2.91', 'nomerge')                                                       

  ('ebuild', '/', 'kde-base/kdepimlibs-9999', 'merge') pulled in by
    >=kde-base/kdepimlibs-9999:live[-kdeprefix] required by ('ebuild', '/', 'kde-base/akonadi-9999', 'merge')                                                                             
    >=kde-base/kdepimlibs-9999:live[-kdeprefix] required by ('ebuild', '/', 'kde-base/kontactinterfaces-9999', 'merge')                                                                   
    >=kde-base/kdepimlibs-9999:live[-kdeprefix] required by ('ebuild', '/', 'kde-base/kaddressbook-9999', 'merge')                                                                       
    (and 4 more)                                                                             

  ('ebuild', '/', 'kde-base/kdelibs-9999', 'merge') pulled in by
    >=kde-base/kdelibs-4.2.91[-kdeprefix] required by ('installed', '/', 'kde-base/kcminit-4.2.91', 'nomerge')                                                                           
    >=kde-base/kdelibs-9999[-kdeprefix] required by ('ebuild', '/', 'kde-base/akonadi-9999', 'merge')                                                                                     
    >=kde-base/kdelibs-4.2.91[-kdeprefix] required by ('installed', '/', 'kde-base/keditbookmarks-4.2.91', 'nomerge')                                                                     
    (and 248 more)                                                                           

  ('installed', '/', 'kde-base/kdelibs-4.2.91', 'nomerge') pulled in by
    >=kde-base/kdelibs-4.2.91:4.3[semantic-desktop,-kdeprefix] required by ('installed', '/', 'kde-base/dolphin-4.2.91', 'nomerge')                                                       
    >=kde-base/kdelibs-4.2.91:4.3[semantic-desktop,-kdeprefix] required by ('installed', '/', 'kde-base/gwenview-4.2.91', 'nomerge')                                                     
    >=kde-base/kdelibs-4.2.91:4.3[semantic-desktop,-kdeprefix] required by ('installed', '/', 'kde-base/kget-4.2.91', 'nomerge')                                                         
    (and 7 more)                                                                             

  ('installed', '/', 'kde-base/libknotificationitem-4.2.91', 'nomerge') pulled in by
    kde-base/libknotificationitem:4.3 required by @world                           
    >=kde-base/libknotificationitem-4.2.91:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/kdelibs-4.2.91', 'nomerge')                                                           

  ('installed', '/', 'kde-base/kdepimlibs-4.2.91', 'nomerge') pulled in by
    >=kde-base/kdepimlibs-4.2.91:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/kopete-4.2.91', 'nomerge')                                                                     
    >=kde-base/kdepimlibs-4.2.91:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/krfb-4.2.91', 'nomerge')                                                                       
    kde-base/kdepimlibs:4.3 required by @world                                               
    (and 36 more)                                                                           

  ('installed', '/', 'kde-base/pykde4-4.2.91', 'nomerge') pulled in by
    >=kde-base/pykde4-4.2.91:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/printer-applet-4.2.91', 'nomerge')                                                                 
    >=kde-base/pykde4-4.2.91:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/system-config-printer-kde-4.2.91', 'nomerge')                                                       

  ('ebuild', '/', 'kde-base/kwalletd-9999', 'merge') pulled in by
    kde-base/kwalletd required by ('installed', '/', 'dev-util/subversion-1.6.3', 'nomerge')

  ('ebuild', '/', 'kde-base/libkdepim-9999', 'merge') pulled in by
    >=kde-base/libkdepim-9999:live[-kdeprefix] required by ('ebuild', '/', 'kde-base/kontactinterfaces-9999', 'merge')                                                                   
    >=kde-base/libkdepim-9999:live[-kdeprefix] required by ('ebuild', '/', 'kde-base/kaddressbook-9999', 'merge')                                                                         
    >=kde-base/libkdepim-9999:live[-kdeprefix] required by ('ebuild', '/', 'kde-base/akonadi-9999', 'merge')                                                                             
    (and 3 more)                                                                             

  ('ebuild', '/', 'kde-base/pykde4-9999', 'merge') pulled in by
    kde-base/pykde4 required by ('installed', '/', 'kde-base/superkaramba-4.2.91', 'nomerge')

  ('installed', '/', 'kde-base/kdebase-data-4.2.91', 'nomerge') pulled in by
    kde-base/kdebase-data:4.3 required by @world                           
    >=kde-base/kdebase-data-4.2.91:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/kdelibs-4.2.91', 'nomerge')                                                                   

  ('installed', '/', 'kde-base/libkleo-4.2.91', 'nomerge') pulled in by
    >=kde-base/libkleo-4.2.91:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/kmail-4.2.91', 'nomerge')
    kde-base/libkleo:4.3 required by @world
    >=kde-base/libkleo-4.2.91:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/kleopatra-4.2.91', 'nomerge')
    (and 1 more)

  ('installed', '/', 'kde-base/akonadi-4.2.91', 'nomerge') pulled in by
    >=kde-base/akonadi-4.2.91:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/kdepim-kresources-4.2.91', 'nomerge')
    kde-base/akonadi:4.3 required by @world
    >=kde-base/akonadi-4.2.91:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/kcontactmanager-4.2.91', 'nomerge')

  ('ebuild', '/', 'kde-base/kdepim-kresources-9999', 'merge') pulled in by
    >=kde-base/kdepim-kresources-4.2.91[-kdeprefix] required by ('installed', '/', 'kde-base/ktimetracker-4.2.91', 'nomerge')

  ('installed', '/', 'kde-base/kde-env-4.2.91', 'nomerge') pulled in by
    kde-base/kde-env:4.3 required by @world
    >=kde-base/kde-env-4.2.91:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/kdelibs-4.2.91', 'nomerge')

  ('installed', '/', 'kde-base/kontactinterfaces-4.2.91', 'nomerge') pulled in by
    >=kde-base/kontactinterfaces-4.2.91:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/knode-4.2.91', 'nomerge')
    >=kde-base/kontactinterfaces-4.2.91:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/kjots-4.2.91', 'nomerge')
    >=kde-base/kontactinterfaces-4.2.91:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/akregator-4.2.91', 'nomerge')
    (and 7 more)

  ('installed', '/', 'kde-base/kaddressbook-4.2.91', 'nomerge') pulled in by
    >=kde-base/kaddressbook-4.2.91:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/kontact-specialdates-4.2.91', 'nomerge')
    kde-base/kaddressbook:4.3 required by @world
    >=kde-base/kaddressbook-4.2.91:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/korganizer-4.2.91', 'nomerge')
    (and 1 more)

  ('installed', '/', 'kde-base/kwalletd-4.2.91', 'nomerge') pulled in by
    kde-base/kwalletd:4.3 required by @world
    >=kde-base/kwalletd-4.2.91:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/kwallet-4.2.91', 'nomerge')

  ('installed', '/', 'kde-base/oxygen-icons-4.2.91', 'nomerge') pulled in by
    kde-base/oxygen-icons:4.3 required by @world
    >=kde-base/oxygen-icons-4.2.91:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/kdebase-data-4.2.91', 'nomerge')


Is this a bug, or is there something I should do to improve my system configuration?
Back to top
View user's profile Send private message
rahulthewall
Veteran
Veteran


Joined: 01 Nov 2007
Posts: 1264
Location: Zürich

PostPosted: Wed Jun 24, 2009 10:55 am    Post subject: Reply with quote

Can we have an update for x11-theme/nitrogen.

The version in the overlay is 2.2.1.
Current Version is 2.3.0.

Thanks
Rahul
_________________
Who shall guard the guards?
Back to top
View user's profile Send private message
reavertm
Developer
Developer


Joined: 05 Feb 2004
Posts: 264
Location: Wrocław

PostPosted: Wed Jun 24, 2009 3:33 pm    Post subject: Reply with quote

kernelOfTruth wrote:
problems:
kde-base/oxygen-icons (9999)
is blocking
Quote:
<kde-base/kdebase-data-4.2.67[-kdeprefix]
that line needs to be removed,


This block and the other one you pointed out, both are valid, afterall there may be users with kde < 4.2.67.

kernelOfTruth wrote:

anyone thought of those people still wanting to use kde 3.5 without a need for kdeprefix ? or certain apps atm still suck kompared to kde 3.5 ? (e.g. okular right now printing random crap with wrong border or somehow mixing up landscape with portrait) :wink:


Sure we did, KDE >= 3.5.10 never required kdeprefix, nor it requires now.

kernelOfTruth wrote:

typo:
Quote:
emerge: there are no ebuilds to satisfy "x11-libs/qscintella[qt4]".
(dependency required by "kde-base/smoke-9999" [ebuild])
(dependency required by "@kdebindings-live" [argument])


it's not qscentella but qscintilla

the latter is also affects kde-base/kdebindings-csharp-9999


"always run repoman full before commit" my ass...
Thx for spotting, fixed
_________________
Maciek
Back to top
View user's profile Send private message
reavertm
Developer
Developer


Joined: 05 Feb 2004
Posts: 264
Location: Wrocław

PostPosted: Wed Jun 24, 2009 3:34 pm    Post subject: Reply with quote

paladin-zero wrote:
I had been using kde-4.2 from portage, with the kdeprefix unset. I uninstalled all of kde, enabled kde-testing, and emerged @kde-4.3, which installed kde-4.3 with -kdeprefix. This morning I updated my overlays and I see lots of blockage (sorry for the long post):


Do not use *all* files from Documentation/package.keywords and package.unmask - just those you need.
_________________
Maciek
Back to top
View user's profile Send private message
paladin-zero
Guru
Guru


Joined: 19 May 2004
Posts: 322

PostPosted: Wed Jun 24, 2009 4:15 pm    Post subject: Reply with quote

reavertm wrote:
paladin-zero wrote:
I had been using kde-4.2 from portage, with the kdeprefix unset. I uninstalled all of kde, enabled kde-testing, and emerged @kde-4.3, which installed kde-4.3 with -kdeprefix. This morning I updated my overlays and I see lots of blockage (sorry for the long post):


Do not use *all* files from Documentation/package.keywords and package.unmask - just those you need.


Thanks reavertm. I was following the directions posted at http://wiki.sabayonlinux.org/index.php?title=HOWTO:_Use_kde-testing_overlay , which are misleading. I ended up using the following links, and now I don't have any blocking packages:

Code:
$ ls -al /etc/portage/package.unmask
total 4.5K
drwxr-xr-x  2 root root 640 2009-06-24 11:00 ./
drwxr-xr-x 10 root root 368 2009-06-18 11:24 ../
lrwxrwxrwx  1 root root  97 2009-06-24 10:53 kdeaccessibility-4.3 -> /usr/local/portage/layman/kde-testing/Documentation/package.unmask/kde-4.3.d/kdeaccessibility-4.3
lrwxrwxrwx  1 root root  91 2009-06-24 10:56 kde-addons-4.3 -> /usr/local/portage/layman/kde-testing/Documentation/package.unmask/kde-4.3.d/kde-addons-4.3
lrwxrwxrwx  1 root root  89 2009-06-24 10:52 kdeadmin-4.3 -> /usr/local/portage/layman/kde-testing/Documentation/package.unmask/kde-4.3.d/kdeadmin-4.3
lrwxrwxrwx  1 root root  91 2009-06-24 10:54 kdeartwork-4.3 -> /usr/local/portage/layman/kde-testing/Documentation/package.unmask/kde-4.3.d/kdeartwork-4.3
lrwxrwxrwx  1 root root  88 2009-06-24 10:38 kdebase-4.3 -> /usr/local/portage/layman/kde-testing/Documentation/package.unmask/kde-4.3.d/kdebase-4.3
lrwxrwxrwx  1 root root  92 2009-06-24 10:56 kdebindings-4.3 -> /usr/local/portage/layman/kde-testing/Documentation/package.unmask/kde-4.3.d/kdebindings-4.3
lrwxrwxrwx  1 root root  88 2009-06-24 10:40 kdedeps-4.3 -> /usr/local/portage/layman/kde-testing/Documentation/package.unmask/kde-4.3.d/kdedeps-4.3
lrwxrwxrwx  1 root root  87 2009-06-24 10:54 kdeedu-4.3 -> /usr/local/portage/layman/kde-testing/Documentation/package.unmask/kde-4.3.d/kdeedu-4.3
lrwxrwxrwx  1 root root  93 2009-06-24 11:00 kde-extras-live -> /usr/local/portage/layman/kde-testing/Documentation/package.unmask/kde-live.d/kde-extras-live
lrwxrwxrwx  1 root root  89 2009-06-24 10:46 kdegames-4.3 -> /usr/local/portage/layman/kde-testing/Documentation/package.unmask/kde-4.3.d/kdegames-4.3
lrwxrwxrwx  1 root root  92 2009-06-24 10:39 kdegraphics-4.3 -> /usr/local/portage/layman/kde-testing/Documentation/package.unmask/kde-4.3.d/kdegraphics-4.3
lrwxrwxrwx  1 root root  94 2009-06-24 10:47 kdemultimedia-4.3 -> /usr/local/portage/layman/kde-testing/Documentation/package.unmask/kde-4.3.d/kdemultimedia-4.3
lrwxrwxrwx  1 root root  91 2009-06-24 10:48 kdenetwork-4.3 -> /usr/local/portage/layman/kde-testing/Documentation/package.unmask/kde-4.3.d/kdenetwork-4.3
lrwxrwxrwx  1 root root  87 2009-06-24 10:41 kdepim-4.3 -> /usr/local/portage/layman/kde-testing/Documentation/package.unmask/kde-4.3.d/kdepim-4.3
lrwxrwxrwx  1 root root  87 2009-06-24 10:55 kdesdk-4.3 -> /usr/local/portage/layman/kde-testing/Documentation/package.unmask/kde-4.3.d/kdesdk-4.3
lrwxrwxrwx  1 root root  88 2009-06-24 10:54 kdetoys-4.3 -> /usr/local/portage/layman/kde-testing/Documentation/package.unmask/kde-4.3.d/kdetoys-4.3
lrwxrwxrwx  1 root root  89 2009-06-24 10:48 kdeutils-4.3 -> /usr/local/portage/layman/kde-testing/Documentation/package.unmask/kde-4.3.d/kdeutils-4.3
Back to top
View user's profile Send private message
TheDodger
Tux's lil' helper
Tux's lil' helper


Joined: 12 Aug 2002
Posts: 126
Location: Hamburg

PostPosted: Thu Jun 25, 2009 11:15 am    Post subject: Reply with quote

Version 4.2.95 is out ... i'm still waiting for the sources ...
Back to top
View user's profile Send private message
ckx3009
Guru
Guru


Joined: 08 Apr 2008
Posts: 362
Location: Milano, Italy

PostPosted: Thu Jun 25, 2009 9:37 pm    Post subject: Reply with quote

paladin-zero wrote:
Thanks reavertm. I was following [...]

I have done the same thing but I'm still getting the same blocks.

I can't understand what does it means the "(-kdeprefix*)" that is near every package...
Or better, I hope it is not the signal that the USE flag kdeprefix has been removed.
I still work with kde 3.5, actually 3.5.10-r6 and have the kdeprefix as a global USE in my make.conf so I would like to use both kde-3.5 and 4.3.
Actually I have also some packages from kde-4.2 because they are dependences for some programs I like to use. All is compiled with the kdeprefix USE flag.

What should I do to solve those blocks?

Thank you for answers.
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 5678
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Thu Jun 25, 2009 9:42 pm    Post subject: Reply with quote

kdebase-data-9999 fails and I have NO clue why:

Quote:
-- Found KDE 4.3 include dir: /usr/include
-- Found KDE 4.3 library dir: /usr/lib64
-- Found the KDE4 kconfig_compiler preprocessor: /usr/bin/kconfig_compiler
-- Found automoc4: /usr/bin/automoc4
CMake Error at /usr/share/apps/cmake/modules/FindKDE4Internal.cmake:1186 (message):
ERROR: the installed kdelibs version 4.2.95 is too old, at least version
4.3.60 is required
Call Stack (most recent call first):
/usr/share/cmake/Modules/FindKDE4.cmake:81 (FIND_PACKAGE)
CMakeLists.txt:8 (find_package)


-- Configuring incomplete, errors occurred!
*
* ERROR: kde-base/kdebase-data-9999 failed.
* Call stack:
* ebuild.sh, line 49: Called src_configure
* environment, line 3982: Called kde4-meta_src_configure
* environment, line 3101: Called kde4-base_src_configure
* environment, line 2828: Called cmake-utils_src_configure
* environment, line 1082: Called die
* The specific snippet of code:
* cmake ${cmakeargs} "${CMAKE_USE_DIR}" || die "cmake failed";
* The die message:
* cmake failed
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/log/portage/kde-base:kdebase-data-9999:20090625-213050.log'.
* The ebuild environment file is located at '/var/tmp/portage/kde-base/kdebase-data-9999/temp/environment'.
* This ebuild used the following eclasses from overlays:
* /usr/gentoo/overlays/kde-testing/eclass/kde4-meta.eclass
* /usr/gentoo/overlays/kde-testing/eclass/kde4-base.eclass
* /usr/gentoo/overlays/kde-testing/eclass/kde4-functions.eclass
* This ebuild is from an overlay named 'kde': '/usr/gentoo/overlays/kde-testing/'
*

>>> Failed to emerge kde-base/kdebase-data-9999

_________________
Unofficial minimal livecd x86/amd64 w/reiser4+truecrypt (by Neo2)
2.6.37.2_plus_v1: BFS, CFS,THP,compaction, zcache or TOI
Hardcore Linux user since 2004 :D
Back to top
View user's profile Send private message
loftwyr
l33t
l33t


Joined: 29 Dec 2004
Posts: 970
Location: 43°38'23.62"N 79°27'8.60"W

PostPosted: Fri Jun 26, 2009 12:40 am    Post subject: Reply with quote

What happens if you reinstall kdelibs?
_________________
My emerge --info
Have you run revdep-rebuild lately? It's in gentoolkit and it's worth a shot if things don't work well.
Celebrating 5 years of Gentoo-ing.
Back to top
View user's profile Send private message
TheDodger
Tux's lil' helper
Tux's lil' helper


Joined: 12 Aug 2002
Posts: 126
Location: Hamburg

PostPosted: Fri Jun 26, 2009 3:20 am    Post subject: Reply with quote

kernelOfTruth wrote:
kdebase-data-9999 fails and I have NO clue why:

Quote:
-- Found KDE 4.3 include dir: /usr/include
-- Found KDE 4.3 library dir: /usr/lib64
-- Found the KDE4 kconfig_compiler preprocessor: /usr/bin/kconfig_compiler
-- Found automoc4: /usr/bin/automoc4
CMake Error at /usr/share/apps/cmake/modules/FindKDE4Internal.cmake:1186 (message):
ERROR: the installed kdelibs version 4.2.95 is too old, at least version
4.3.60 is required


The fail is here!
Please reinstall kdelibs! ;)
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 38, 39, 40
Page 40 of 40

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum